package top.xinsin.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import top.xinsin.pojo.AuthAccount;
import top.xinsin.service.AccountService;
import top.xinsin.util.R;

/**
 * @author xinsin
 * Created On 2023/4/24 21:06
 * @version 1.0
 */
@Validated
@RestController
@RequestMapping("/api/auth")
public class AuthorizeController {
    @Autowired
    private AccountService accountService;

    @RequestMapping(path = "/register", method = RequestMethod.POST)
    public R<String> register(@RequestParam("auth")String auth,@RequestParam("username") String username, @RequestParam("relName") String relName, @RequestParam("email") String email, @RequestParam("password") String password, @RequestParam("roleId") Integer roleId) {
        AuthAccount authAccount = new AuthAccount();
        authAccount.setUsername(username);
        authAccount.setPassword(password);
        authAccount.setRelName(relName);
        authAccount.setEmail(email);
        authAccount.setRoleId(roleId);
        authAccount.setAuth(auth);
        return this.accountService.register(authAccount);
    }
}
