package top.xinsin.controller;

import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import top.xinsin.service.VerifyService;
import top.xinsin.util.R;

import java.util.List;

@RestController
@RequestMapping("/verify")
public class VerifyController {
    @Autowired
    private VerifyService verifyService;

    @RequestMapping(path = "/getRemainderTime",method = RequestMethod.GET)
    public R<JSONObject> getRemainderTime(@RequestParam("id")Integer id){
        return verifyService.getRemainderTime(id);
    }
    @RequestMapping(path = "/verify",method = RequestMethod.GET)
    public R<Boolean> verify(@RequestParam("id")Integer id,@RequestParam("name")String name,@RequestParam("phone")String phone){
        return verifyService.verify(id,name,phone);
    }
    @RequestMapping(path = "/getVerifyMessage",method = RequestMethod.GET)
    public R<List<JSONObject>> getVerifyMessage(@RequestParam("createId")Integer createId){
        return verifyService.getVerifyMessage(createId);
    }
    @RequestMapping(path = "/confirmVerify",method = RequestMethod.GET)
    public R<JSONObject> confirmVerify(@RequestParam("createId") Integer createId,@RequestParam("storeId")Integer storeId,@RequestParam("status")Boolean status){
        return verifyService.confirmVerify(createId,storeId,status);
    }
}
