package top.xinsin.pojo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author xinsin
 * Created On 2023/6/9 09:25
 * @version 1.0
 */
@Getter
@Setter
@EqualsAndHashCode
@ExcelIgnoreUnannotated
public class OrderByExcel {
    @ExcelProperty("订单号")
    private String orderNo;
    @ExcelProperty("下单时间")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private String orderTime;
    @ExcelProperty("订单状态")
    private String orderStatus;
    @ExcelProperty("旺旺号")
    private String wangNo;
    @ExcelProperty("微信|qq账号")
    private String wechatNo;
    @ExcelProperty("支付宝账号")
    private String alipayNo;
    @ExcelProperty("付款金额")
    private String payAmt;
    @ExcelProperty("店铺名称")
    private String storeId;
    @ExcelProperty("佣金")
    private String commission;
    @ExcelProperty("支付宝名称")
    private String alipayName;
    @ExcelProperty("放单人")
    private String rpName;
    @ExcelProperty("放单人微信名")
    private String rpWechatName;
    @ExcelProperty("备注")
    private String remark;
    @ExcelProperty("买家电话")
    private String phoneNumber;
    @ExcelProperty("银行卡号")
    private String cardNo;
    @ExcelProperty("插旗")
    private String flag;
    @ExcelProperty("插旗备注")
    private String flagRemark;
    @ExcelProperty("付款时间")
    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    private String payTime;
    @ExcelProperty("收货地址")
    private String address;
    @ExcelProperty("商品id")
    private String shopId;
    @ExcelProperty("sku")
    private String sku;
}
