package top.xinsin.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@NoArgsConstructor
public class Verify {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private Integer createId;
    private Integer storeId;
    private Long countdown;
    private String verifyName;
    private String verifyPhone;
    private String verifyResult;
    private Integer num;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    @TableLogic
    private Integer del;

    public Verify(Integer createId, Integer storeId, Long countdown) {
        this.createId = createId;
        this.storeId = storeId;
        this.countdown = countdown;
    }

    public Verify(String verifyName,String verifyPhone, String verifyResult, Integer num, Date updateTime) {
        this.verifyName = verifyName;
        this.verifyPhone = verifyPhone;
        this.verifyResult = verifyResult;
        this.num = num;
        this.updateTime = updateTime;
    }

    public Verify(String verifyResult, Integer num, Date updateTime) {
        this.verifyResult = verifyResult;
        this.num = num;
        this.updateTime = updateTime;
    }
}
