package top.xinsin.pojo.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author xinsin
 * Created On 2023/4/24 22:21
 * @version 1.0
 */
@Data
public class OrderVO {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private String orderNo;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date orderTime;
    private String orderStatus;
    private String wangNo;
    private String wechatNo;
    private String alipayNo;
    private Double payAmt;
    private Double commission;
    private String alipayName;
    private String rpName;
    private String rpWechatName;
    private String remark;
    private String phoneNumber;
    private String cardNo;
    private Integer flag;
    private String flagRemark;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date payTime;
    private String address;
    private Integer shopId;
    private String sku;
    private String storeName;
}
