package top.xinsin.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.server.standard.ServerEndpointExporter;
import top.xinsin.controller.WebSocketController;
import top.xinsin.service.WebSocketService;

@Configuration
@EnableWebSocket
public class WebsocketConfiguration {
    @Bean
    public ServerEndpointExporter serverEndpointExporter() {
        return new ServerEndpointExporter();
    }
    @Autowired
    public void socketUserService(WebSocketService webSocketService){
        WebSocketController.webSocketService= webSocketService;
    }
}
