package top.xinsin.pojo;

    import com.baomidou.mybatisplus.annotation.*;

    import java.io.Serial;
    import java.io.Serializable;
    import java.sql.Blob;
    import java.time.LocalDateTime;
    import java.util.Date;

    import com.fasterxml.jackson.annotation.JsonFormat;
    import lombok.Data;
    import org.springframework.format.annotation.DateTimeFormat;

/**
* <p>
    * 
    * </p>
*
* @author xinsin
* @since 2023-04-24
*/
@Data
@TableName("store")
public class Store implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("name")
    private String name;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("create_time")
    private Date createTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("update_time")
    private Date updateTime;
    @TableField("del")
    @TableLogic
    private Integer del;
    @TableField("status")
    private Boolean status;
}